<template>
  <div class="d-grid">
    <Transition name="fade-delayed">
      <Tree v-show="!showOverlay"/>
    </Transition>
    <Transition name="overlay">
      <Overlay v-if="showOverlay"/>
    </Transition>
  </div>
</template>

<script setup lang="ts">
  import Overlay from '@/components/Overlay/Overlay.vue'
  import Tree from '@/components/Tree/Tree.vue'
  import { useTreeStore } from '@/stores/TreeStore';
  import { computed} from 'vue'
  
  const treeStore = useTreeStore();
  const showOverlay = computed(() => !treeStore.isInitialized() || treeStore.isLoading() );
</script>
<style scoped lang="scss">
  .d-grid {
    overflow: hidden !important;
  }
  .d-grid > * {
    grid-area: 1 / 1;

  }

.fade-delayed-enter-active {
  animation: fade-delayed 0.5s;
}

@keyframes fade-delayed {
  0% {
    opacity: 0;
  }
  80% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.overlay-enter-active {
  animation: overlay 0.3s;
}

.overlay-leave-active {
  animation: overlay 0.2s reverse;
}

@keyframes overlay {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
</style>